### Method

# Soup Message get_tls_ciphersuite_name

#### Declaration [src]

    const char*
    soup_message_get_tls_ciphersuite_name (
      SoupMessage* msg
    )

#### Description [src]

Gets the name of the TLS ciphersuite negotiated for `msg`‘s connection.

Gets property | `Soup.Message:tls-ciphersuite-name`

#### Return value

Type: `const char*`

The name of the TLS ciphersuite, or `NULL` if `msg`‘s connection is not SSL.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.